View Issue Details

Category
SSPBT:本体(SSP)
SeverityfeatureReproducibilityN/A 
Status closed 
Summary0000226: new update modes
Description

I made my ghost into a lightweight NAR to prevent users from suffering from slow download, and started file completion and update after the initial setting, but this design seems to bring more serious problems: Although the ghost instance provided by the lightweight NAR can run, But when updating, she had to stand there and report the updates of tens of thousands of files: users can't interact with ghost when ghost is updated
I wonder if I can add a background update mode: Ghost will not report those files during update, but can interact with users normally?
At the same time, it would be better if you could also provide the option to hide the update progress. If my ghost updates automatically, each update event will return '\![leave,onlinemode]\b[-1]'to hide the fact that I am updating (because my updates are very frequent, I don't want users to see ghost updates every day), which is very tiring

Activities

ponapalt

2021-09-03 16:07

administrator   ~0000638

Last edited: 2021-09-03 16:08

I've disabled function that balloon is always showing when online.
So, I think this "unattended update mode" can implement just adding 1 flag variable to ignore and return 204 against OnUpdate~ event.

guest

2021-09-07 00:02

reporter   ~0000641

Sorry for my late reply. I've been a little busy lately
I just tried not to return any values in events such as OnUpdate.OnMD5CompareBegin, but it still seems that I can't interact with ghost during update
Can you give an example to illustrate how to use the latest SSP function to interact with ghost during the update? you konw, some code etc.

guest

2021-09-08 23:57

reporter   ~0000650

I implemented this function in the latest version of SSP
Thank you. I think this issue can be closed

ponapalt

2021-09-09 08:27

administrator   ~0000656

closed 2.5.23

Issue History

Date Modified Username Field Change
2021-08-15 19:42 guest New Issue
2021-09-03 16:05 ponapalt Assigned To => ponapalt
2021-09-03 16:05 ponapalt Status new => assigned
2021-09-03 16:07 ponapalt Status assigned => feedback
2021-09-03 16:07 ponapalt Note Added: 0000638
2021-09-03 16:08 ponapalt Note Edited: 0000638
2021-09-03 16:08 ponapalt Note Edited: 0000638
2021-09-07 00:02 guest Note Added: 0000641
2021-09-07 00:02 guest Status feedback => assigned
2021-09-08 23:57 guest Note Added: 0000650
2021-09-09 08:27 ponapalt Status assigned => closed
2021-09-09 08:27 ponapalt Resolution open => fixed
2021-09-09 08:27 ponapalt Note Added: 0000656